## org.jfree.data
Interface XYZDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Subinterfaces:
  ContourDataset, IntervalXYZDataset

All Known Implementing Classes:
  AbstractXYZDataset, DefaultContourDataset, MatrixSeriesCollection

public interface XYZDataset
extends XYDataset

The interface through which JFreeChart obtains data in the form of (x, y, z) items - used for XY and XYZ plots.

Method Summary
`double` `getZ(int series, int item)` Returns the z-value (as a double primitive) for an item within a series.
`java.lang.Number` `getZValue(int series, int item)` Returns the z-value for the specified series and item.

Methods inherited from interface org.jfree.data.XYDataset
`getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getZValue

    public java.lang.Number getZValue(int series,
                                      int item)

  Returns the z-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The z-value (possibly `null`).

### getZ

    public double getZ(int series,
                       int item)

  Returns the z-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The z-value.